Loading...
Searching...
No Matches
OBStericConformerFilter Class Reference
Conformer Searching

`#include <openbabel/conformersearch.h>`

Inheritance diagram for OBStericConformerFilter:
[legend]

## Public Member Functions

| OBStericConformerFilter ()
| OBStericConformerFilter (double cutoff, double vdw_factor=0.5, bool check_hydrogens=true)
bool | IsGood (const OBMol &mol, const RotorKey &key, double *coords)

## Detailed Description

A steric conformer filter class.

The OBStericConformerFilter class is the default filter used by OBConformerSearch. The filter removes all molecules which have at least 2 atoms closer together than the specified distance.

Since
  2.3

## Constructor & Destructor Documentation

## OBStericConformerFilter() [1/2]

OBStericConformerFilter | ( |  | ) |

## OBStericConformerFilter() [2/2]

OBStericConformerFilter | ( | double | cutoff,
|  | double | vdw_factor = 0.5,
|  | bool | check_hydrogens = true )

## Member Function Documentation

## IsGood()

bool IsGood | ( | const OBMol & | mol,
|  | const RotorKey & | key,
|  | double * | coords )

virtual

Check if a conformer is good (i.e. passes the filter). The molecule, rotor key and coords are passed as parameters to this function and can be used for checking the confoormer.

Returns
  True if the conformer passes the filter.

Implements OBConformerFilter.

The documentation for this class was generated from the following files:

- conformersearch.h
- conformersearch.cpp